### Method

# Vips Image history_printf

#### Declaration [src]

    int
    vips_image_history_printf (
      VipsImage* image,
      const char* format,
      ...
    )

#### Description [src]

Add a line to the image history. The `format` and arguments are expanded, the date and time is appended prefixed with a hash character, and the whole string is appended to the image history and terminated with a newline.

For example:

    vips_image_history_printf(image, "vips invert %s %s",
        in->filename, out->filename);

Might add the string

    "vips invert /home/john/fred.v /home/john/jim.v # Fri Apr 3 23:30:35 2009\n"

VIPS operations don’t add history lines for you because a single action at the application level might involve many VIPS operations. History must be recorded by the application.

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `const char*`

  `printf()`-style format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to format string.

#### Return value

Type: `int`

0 on success, -1 on error.